# Class SendNotificationRequest

#### Hierarchy

- unknown
  - SendNotificationRequest

- Defined in src/protobuf/grpc_pb.d.ts:736
- Defined in src/protobuf/grpc_pb.d.ts:750

#####
Index

### Constructors

constructor

### Methods

clearNotification
getNotification
hasNotification
serializeBinary
setNotification
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SendNotificationRequest(): SendNotificationRequest

- #### Returns SendNotificationRequest

  Inherited from jspb.Message.constructor

## Methods

### clearNotification

- clearNotification(): SendNotificationRequest

- #### Returns SendNotificationRequest

  - Defined in src/protobuf/grpc_pb.d.ts:740

### getNotification

- getNotification(): undefined | NotificationMessage

- #### Returns undefined | NotificationMessage

  - Defined in src/protobuf/grpc_pb.d.ts:737

### hasNotification

- hasNotification(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:739

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:742

### setNotification

- setNotification(value?: NotificationMessage): SendNotificationRequest

- #### Parameters

  - ##### `Optional` value: NotificationMessage

  #### Returns SendNotificationRequest

  - Defined in src/protobuf/grpc_pb.d.ts:738

### toObject

- toObject(includeInstance?: boolean): SendNotificationRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SendNotificationRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:743

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendNotificationRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendNotificationRequest

  - Defined in src/protobuf/grpc_pb.d.ts:746

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendNotificationRequest, reader: BinaryReader): SendNotificationRequest

- #### Parameters

  - ##### message: SendNotificationRequest

  - ##### reader: BinaryReader

  #### Returns SendNotificationRequest

  - Defined in src/protobuf/grpc_pb.d.ts:747

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SendNotificationRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SendNotificationRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:745

### `Static` toObject

- toObject(includeInstance: boolean, msg: SendNotificationRequest): SendNotificationRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendNotificationRequest

  #### Returns SendNotificationRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:744

Generated using TypeDoc